Retry Event - Flex Documentation

Retry Event

cURL

curl --request POST \
  --url https://api.withflex.com/v1/events/{id}/retry \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "event": {
    "webhook_id": "fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
  }
}
'

Python

import requests

url = "https://api.withflex.com/v1/events/{id}/retry"

payload = { "event": { "webhook_id": "fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA" } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({event: {webhook_id: 'fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA'}})
};

fetch('https://api.withflex.com/v1/events/{id}/retry', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Example Response

{
  "event": {
    "event_id": "fevt_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "event_type": "account.updated",
    "object": {},
    "test_mode": false,
    "created_at": "2026-06-15T14:30:00Z"
  }
}

Error Responses

{
  "code": "string",
  "detail": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Headers

Authorization

Use a Bearer token to access this API.

Path Parameters

Body

An envelope wrapping a single event object. Example:

{
  "event": {
    "webhook_id": "fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
  }
}

Response Format

An envelope wrapping a single event object as shown in example responses.